Bug 67975 - Boot Loader Configuration guessed wrong WinXP boot partition
Boot Loader Configuration guessed wrong WinXP boot partition
Status: CLOSED RAWHIDE
Product: Red Hat Public Beta
Classification: Retired
Component: anaconda (Show other bugs)
limbo
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-07-04 20:38 EDT by Brian Stretch
Modified: 2007-04-18 12:43 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-07-31 01:58:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brian Stretch 2002-07-04 20:38:32 EDT
From Bugzilla Helper: 
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.0.0-10; Linux) 
 
Description of problem: 
/dev/hda1 is WinXP Pro NTFS primary partition, /dev/hda5 is a FAT32 logical 
drive in an extended partition, /dev/hda6 is a NTFS logical drive in that 
extended partition, /dev/hda3 is ext3 primary partition and /dev/hda4 is swap 
primary partition.  Boot Loader Configuration guesses that /dev/hda5 is a 
bootable DOS partition (nope, just data) and doesn't list the WinXP partition.  
Deleting the bogus /dev/hda5 and manually adding /dev/hda1 appears to work 
around the problem.  I also have a /dev/hdb drive that's one big NTFS 
partition but I doubt that's relevant.  
 
Version-Release number of selected component (if applicable): 
 
 
How reproducible: 
Didn't try 
 
Steps to Reproduce: 
1. Do installation until Boot Loader Installation step 
2. Boot Loader Configuration guesses wrong WinXP boot partition 
3. 
  
 
Expected Results:  Should have seen /dev/hda1 as the bootable Windows 
partition 
 
 
Additional info:
Comment 1 Thomas M Steenholdt 2002-07-06 03:16:04 EDT
During the installation on a machine with a Windows Xp, RH7.3 and the new RH
Limbo partition - the config tool doesn't guess anything at all... Only the new
beta linux entry is listed an all others have to be added manually
Comment 2 Jeremy Katz 2002-07-11 00:41:51 EDT
We don't detect existing Linux partitions somewhat intentionally.  Changed the
detection algorithm for Windows so that it should add the first NTFS or FAT
partition found instead of just the first FAT partition.
Comment 3 Thomas M Steenholdt 2002-07-31 01:58:32 EDT
Works just fine in Limbo 7.3.93!
Comment 4 Mike McLean 2002-08-29 16:41:36 EDT
CLOSED->RAWHIDE
Comment 5 Michael Fulbright 2002-12-20 12:38:25 EST
Time tracking values updated

Note You need to log in before you can comment on or make changes to this bug.